For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Welcome
    • General Terms
    • API Responses
    • Authentication
    • Dictionaries
    • Use Cases
  • Search
      • GETSong Controller Get Song
      • GETSong Controller Get Songs
  • Download
LogoLogo
SearchSong

Song Controller Get Songs

GET
https://host.com/https://business.artlist.io/search/v1/song
GET
/https://business.artlist.io/search/v1/song
$curl -G https://host.com/https://business.artlist.io/search/v1/song \
> -d page=1.1
200Retrieved
1{
2 "songs": [
3 {
4 "id": "1234",
5 "name": "Run the Place",
6 "artist": {
7 "id": "184",
8 "name": "Rex Banner",
9 "slug": "rex-banner"
10 },
11 "album": {
12 "id": "10904",
13 "name": "Top of the World",
14 "slug": "top-of-the-world"
15 },
16 "url": "https://example.com/file.aac",
17 "imageUrl": "https://example.com/album.jpg",
18 "thumbImageUrl": "https://example.com/album-thumb.jpg",
19 "waveSurferUrl": "https://example.com/wavesurfer.json",
20 "duration": 141,
21 "bpmRate": 120,
22 "genreCategories": [
23 {
24 "id": "90",
25 "name": "Retro"
26 }
27 ]
28 }
29 ],
30 "total": 1.1
31}
Was this page helpful?
Previous

Artist Controller Get Artist

Next
Built with

Query parameters

pagedoubleRequired
Page number. Starts at 1
categoryIdslist of stringsOptional

category IDs, including Instrument, Genre, Mood & Video Theme; See dictionary.

vocalTypestringOptional

Vocal type. Choose from a set of allowed values | VOCAL_AND_INSTRUMENTS, VOCAL, INSTRUMENTAL, FEMALE_VOCAL, MALE_VOCAL, DUET, GROUP, ACAPELLA

durationMindoubleOptional
Duration in seconds. 0 to 420
durationMaxdoubleOptional
Duration in seconds. 0 to 420
bpmMindoubleOptional
BPM rate. 0 to 200
bpmMaxdoubleOptional
BPM rate. 0 to 200
querystringOptional
Search term

Response

Get songs. 20 per request
songslist of objects
totaldouble